import logging

from dataiku.customwebapp import get_webapp_config

try:
    webapp_config = get_webapp_config()
    log_level = webapp_config.get("log_level", "INFO")
except Exception:
    log_level = "INFO"

level = getattr(logging, log_level.upper(), logging.INFO)
if not isinstance(level, int):
    raise ValueError(f"Invalid log level: {log_level}")

logger = logging.getLogger("DSSFlaskAppLogger")
logger.setLevel(level)

# Add handlers if not already added
if not logger.hasHandlers():
    handler = logging.StreamHandler()
    formatter = logging.Formatter("%(asctime)s - %(name)s - %(levelname)s - %(message)s")
    handler.setFormatter(formatter)
    logger.addHandler(handler)
