import {
  Quasar,
  Notify,
  ClosePopup,
  QIcon,
  QMenu,
  QList,
  QItemSection,
  QItem,
  QCardSection,
} from "quasar";
import "@quasar/extras/material-icons/material-icons.css";
import "@quasar/extras/material-icons-outlined/material-icons-outlined.css";
import "@quasar/extras/material-icons-round/material-icons-round.css";
import './node_modules/tabulator-tables/dist/css/tabulator.min.css';
//import './node_modules/tabulator-tables/dist/css/tabulator_semanticui.min.css';
import './node_modules/tabulator-tables/dist/css/tabulator_simple.min.css';
import "@quasar/extras/mdi-v6/mdi-v6.css";
import "quasar/src/css/index.sass";
import "quasar-ui-bs/dist/style.css";
import "./fonts/fonts.scss";
import "vite/modulepreload-polyfill";
import { QuasarBs } from "quasar-ui-bs";
import { myApp } from "./src/index";
import { ServerApi } from "quasar-ui-bs";
import { baseURL } from "./src/api/index";


ServerApi.init(baseURL);
myApp.config.unwrapInjectedRef = true;

myApp.use(Quasar, {
  plugins: {
    Notify,
  },
  components: {
    QIcon,
    QMenu,
    QList,
    QItemSection,
    QItem,
    QCardSection,
  },
  directives: {
    ClosePopup,
  },
});

myApp.use(QuasarBs);

myApp.mount("#app");

myApp.config.warnHandler = (msg, vm, trace) => {
  console.error(`[Vue warn]: ${msg}\nTrace: ${trace}`);
};
