import { computed } from 'vue';

export function formatTraceDateTime(date) {
    return new Date(date).toLocaleString();
}

export function formatNodeTime(dateString) {
    return computed(() => {
      if (!dateString) return null;
      const date = new Date(dateString);
      if (isNaN(date)) return null;
  
      const timeFormatter = new Intl.DateTimeFormat('en-GB', {
        hour: '2-digit',
        minute: '2-digit',
        second: '2-digit',
        hour12: false, 
      });
  
      const formattedTime = timeFormatter.format(date);
  
      const milliseconds = date
        .getMilliseconds()
        .toString()
        .padStart(3, '0');
  
      return `${formattedTime}.${milliseconds}`;
    });
  }

